package _VisualDVM.GlobalData.EnvironmentValue;
import Common.CommonConstants;
import Common.Utils.Utils_;
import _VisualDVM.Current;
import Common.Database.Objects.iDBObject;
import _VisualDVM.Global;
public class EnvironmentValue extends iDBObject {
    public String name = "";
    public String value = "";
    public int machine_id = CommonConstants.Nan; //для удаления машин
    public int run_configuration_id = CommonConstants.Nan;
    @Override
    public boolean isVisible() {
        return Global.mainModule.matchCurrentID(Current.RunConfiguration, run_configuration_id);
    }
    @Override
    public String toString() {
        return name + "=" + Utils_.DQuotes(value);
    }
}
